View Issue Details

IDProjectCategoryView StatusLast Update
12786Bug reports[All Projects] User/User groupspublic2018-02-21 16:38
ReportergeraldC Assigned Toc_schmitz  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version2.7x.x 
Target VersionFixed in Version3.4.x 
Summary12786: Correcting bug 12051 reactivated bug#11287
Description

Bug#11287 was corrected on June 3, 2016. Correcting bug 12051 reintroduced bug 11287 ("cannot delete users from groups")

Steps To Reproduce

see bug 11287

TagsNo tags attached.
Complete LimeSurvey version number (& build)2.72.0+171010
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome
Database & DB-VersionmySQL
Server OS (if known)Windows 10
Webserver software & version (if known)Apache
PHP Version5.6

Activities

geraldC

geraldC

2017-10-13 11:14

reporter  

History for application_models_UserGroup.php - LimeSurvey_LimeSurvey · GitHub - Mozilla Firefox 2017-10-13 11.14.05.jpg (104,869 bytes)
c_schmitz

c_schmitz

2017-10-13 15:11

administrator   ~44672

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=24102

geraldC

geraldC

2017-10-13 15:42

reporter   ~44676

Correcting bug#12786 reintroduced bug#12051 (non-admin users can see all the usergroups created on this install) !

c_schmitz

c_schmitz

2018-02-21 11:38

administrator   ~46639

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26529

c_schmitz

c_schmitz

2018-02-21 11:38

administrator   ~46640

This should finally fix it :-).

Related Changesets

LimeSurvey: master 81424171

2017-10-13 15:11:09

c_schmitz

Details Diff
Fixed issue 12786: Cannot delete users from user groups unless having Superadministrator permission Affected Issues
12786
mod - application/models/UserGroup.php Diff File

LimeSurvey: master 7bc9654c

2018-02-21 11:37:27

c_schmitz

Details Diff
Fixed issue 12786: Cannot delete users from owned user group Affected Issues
12786
mod - application/controllers/admin/usergroups.php Diff File
mod - application/views/admin/usergroup/usergroups_view.php Diff File

Issue History

Date Modified Username Field Change
2017-10-13 11:12 geraldC New Issue
2017-10-13 11:14 geraldC File Added: History for application_models_UserGroup.php - LimeSurvey_LimeSurvey · GitHub - Mozilla Firefox 2017-10-13 11.14.05.jpg
2017-10-13 15:11 c_schmitz Changeset attached => LimeSurvey master 81424171
2017-10-13 15:11 c_schmitz Note Added: 44672
2017-10-13 15:11 c_schmitz Assigned To => c_schmitz
2017-10-13 15:11 c_schmitz Resolution open => fixed
2017-10-13 15:11 c_schmitz Status new => resolved
2017-10-13 15:11 c_schmitz Fixed in Version => 2.7x.x
2017-10-13 15:42 geraldC Status resolved => feedback
2017-10-13 15:42 geraldC Resolution fixed => reopened
2017-10-13 15:42 geraldC Note Added: 44676
2018-02-21 10:45 c_schmitz Description Updated View Revisions
2018-02-21 11:38 c_schmitz Changeset attached => LimeSurvey master 7bc9654c
2018-02-21 11:38 c_schmitz Note Added: 46639
2018-02-21 11:38 c_schmitz Status feedback => resolved
2018-02-21 11:38 c_schmitz Resolution reopened => fixed
2018-02-21 11:38 c_schmitz Fixed in Version 2.7x.x => 3.4.x
2018-02-21 11:38 c_schmitz Note Added: 46640
2018-02-21 16:38 ollehar Status resolved => closed